Subject: bug#7092: 23.1; Dired slow using Emacs remotely

From: Stefan Kangas <[email-masked]>
Date: Thu, 21 Oct 2021 12:43:37 -0700

Eli Zaretskii <[email-masked]> writes:

>> From: Stefan Kangas <[email-masked]>
>> Cc: Dan Espen <[email-masked]>,  [email-masked]
>> Date: Sat, 18 Jan 2020 01:55:26 +0100
>>
>> Eli Zaretskii <[email-masked]> writes:
>>
>> >> Date: Thu, 23 Sep 2010 22:28:34 -0400
>> >> From: Dan Espen <[email-masked]>
>> >> Cc:
>> >>
>> >> Moving the pointer around a dired buffer makes Emacs unusable for long
>> >> periods of time.  This is true even after disabling tool-tip
>> >> mode.
>> >
>> > Probably because of the mouse highlight (which causes lots of X
>> > traffic).
>>
>> I think the diagnosis here sounds correct.  So is there anything here
>> we can do?  In other words, is this a bug in Emacs or just an inherent
>> limitation in the X protocol?
>
> Maybe we should have a feature whereby mouse highlight is ignored, for
> those who use a slow X connection.

Isn't this just

    (setq mouse-highlight nil)

?

IOW, should we just document somehow that if you are using X forwarding,
you might want to disable mouse highlighting?

> But is it indeed the case that X traffic caused by mouse highlight is
> the culprit here?

Though, to be fair, we indeed don't yet have concrete data to back this
analysis up.  It's more of an educated guess, I suppose.

But other than adding documentation, I'm not sure I see how we can make
much more progress on this decade-old bug report.